# win_hostname – Manages local Windows computer name

New in version 2.6.

- Synopsis

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Manages local Windows computer name.

- A reboot is required for the computer name to take effect.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string / required |  | The hostname to set for the computer.

## See Also

See also

win_dns_client – Configures DNS lookup on Windows hosts

  The official documentation on the win_dns_client module.

## Examples

    - name: Change the hostname to sample-hostname
      win_hostname:
        name: sample-hostname
      register: res

    - name: Reboot
      win_reboot:
      when: res.reboot_required

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
old_name string | always | The original hostname that was set before it was changed. Sample: old_hostname
reboot_required boolean | always | Whether a reboot is required to complete the hostname change. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ripon Banik (@riponbanik)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.